/*
 * Permission is hereby granted, free of charge, to any person obtaining a copy of 
 * this software and associated documentation files (the "Software"), to deal in 
 * the Software without restriction, including without limitation the rights to 
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE 
 * SOFTWARE.
 */
package org.jcodings.unicode;

import org.jcodings.Config;

public class CR_Diacritic {
    static final int Table[] = Config.USE_UNICODE_PROPERTIES ? new int[] {
        117,
        0x005e, 0x005e,
        0x0060, 0x0060,
        0x00a8, 0x00a8,
        0x00af, 0x00af,
        0x00b4, 0x00b4,
        0x00b7, 0x00b8,
        0x02b0, 0x034e,
        0x0350, 0x0357,
        0x035d, 0x0362,
        0x0374, 0x0375,
        0x037a, 0x037a,
        0x0384, 0x0385,
        0x0483, 0x0487,
        0x0559, 0x0559,
        0x0591, 0x05a1,
        0x05a3, 0x05bd,
        0x05bf, 0x05bf,
        0x05c1, 0x05c2,
        0x05c4, 0x05c4,
        0x064b, 0x0652,
        0x0657, 0x0658,
        0x06df, 0x06e0,
        0x06e5, 0x06e6,
        0x06ea, 0x06ec,
        0x0730, 0x074a,
        0x07a6, 0x07b0,
        0x07eb, 0x07f5,
        0x0818, 0x0819,
        0x093c, 0x093c,
        0x094d, 0x094d,
        0x0951, 0x0954,
        0x0971, 0x0971,
        0x09bc, 0x09bc,
        0x09cd, 0x09cd,
        0x0a3c, 0x0a3c,
        0x0a4d, 0x0a4d,
        0x0abc, 0x0abc,
        0x0acd, 0x0acd,
        0x0b3c, 0x0b3c,
        0x0b4d, 0x0b4d,
        0x0bcd, 0x0bcd,
        0x0c4d, 0x0c4d,
        0x0cbc, 0x0cbc,
        0x0ccd, 0x0ccd,
        0x0d4d, 0x0d4d,
        0x0dca, 0x0dca,
        0x0e47, 0x0e4c,
        0x0e4e, 0x0e4e,
        0x0ec8, 0x0ecc,
        0x0f18, 0x0f19,
        0x0f35, 0x0f35,
        0x0f37, 0x0f37,
        0x0f39, 0x0f39,
        0x0f3e, 0x0f3f,
        0x0f82, 0x0f84,
        0x0f86, 0x0f87,
        0x0fc6, 0x0fc6,
        0x1037, 0x1037,
        0x1039, 0x103a,
        0x1087, 0x108d,
        0x108f, 0x108f,
        0x109a, 0x109b,
        0x17c9, 0x17d3,
        0x17dd, 0x17dd,
        0x1939, 0x193b,
        0x1a75, 0x1a7c,
        0x1a7f, 0x1a7f,
        0x1b34, 0x1b34,
        0x1b44, 0x1b44,
        0x1b6b, 0x1b73,
        0x1baa, 0x1baa,
        0x1c36, 0x1c37,
        0x1c78, 0x1c7d,
        0x1cd0, 0x1ce8,
        0x1ced, 0x1ced,
        0x1d2c, 0x1d6a,
        0x1dc4, 0x1dcf,
        0x1dfd, 0x1dff,
        0x1fbd, 0x1fbd,
        0x1fbf, 0x1fc1,
        0x1fcd, 0x1fcf,
        0x1fdd, 0x1fdf,
        0x1fed, 0x1fef,
        0x1ffd, 0x1ffe,
        0x2cef, 0x2cf1,
        0x2e2f, 0x2e2f,
        0x302a, 0x302f,
        0x3099, 0x309c,
        0x30fc, 0x30fc,
        0xa66f, 0xa66f,
        0xa67c, 0xa67d,
        0xa67f, 0xa67f,
        0xa6f0, 0xa6f1,
        0xa717, 0xa721,
        0xa788, 0xa788,
        0xa8c4, 0xa8c4,
        0xa8e0, 0xa8f1,
        0xa92b, 0xa92e,
        0xa953, 0xa953,
        0xa9b3, 0xa9b3,
        0xa9c0, 0xa9c0,
        0xaa7b, 0xaa7b,
        0xaabf, 0xaac2,
        0xabec, 0xabed,
        0xfb1e, 0xfb1e,
        0xfe20, 0xfe26,
        0xff3e, 0xff3e,
        0xff40, 0xff40,
        0xff70, 0xff70,
        0xff9e, 0xff9f,
        0xffe3, 0xffe3,
        0x110b9, 0x110ba,
        0x1d167, 0x1d169,
        0x1d16d, 0x1d172,
        0x1d17b, 0x1d182,
        0x1d185, 0x1d18b,
        0x1d1aa, 0x1d1ad,
    } : null; 

}