/*
 * Permission is hereby granted, free of charge, to any person obtaining a copy of 
 * this software and associated documentation files (the "Software"), to deal in 
 * the Software without restriction, including without limitation the rights to 
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE 
 * SOFTWARE.
 */
package org.jcodings.unicode;

import org.jcodings.Config;

public class CR_Grapheme_Extend {
    static final int Table[] = Config.USE_UNICODE_PROPERTIES ? new int[] {
        215,
        0x0300, 0x036f,
        0x0483, 0x0489,
        0x0591, 0x05bd,
        0x05bf, 0x05bf,
        0x05c1, 0x05c2,
        0x05c4, 0x05c5,
        0x05c7, 0x05c7,
        0x0610, 0x061a,
        0x064b, 0x065f,
        0x0670, 0x0670,
        0x06d6, 0x06dc,
        0x06df, 0x06e4,
        0x06e7, 0x06e8,
        0x06ea, 0x06ed,
        0x0711, 0x0711,
        0x0730, 0x074a,
        0x07a6, 0x07b0,
        0x07eb, 0x07f3,
        0x0816, 0x0819,
        0x081b, 0x0823,
        0x0825, 0x0827,
        0x0829, 0x082d,
        0x0859, 0x085b,
        0x0900, 0x0902,
        0x093a, 0x093a,
        0x093c, 0x093c,
        0x0941, 0x0948,
        0x094d, 0x094d,
        0x0951, 0x0957,
        0x0962, 0x0963,
        0x0981, 0x0981,
        0x09bc, 0x09bc,
        0x09be, 0x09be,
        0x09c1, 0x09c4,
        0x09cd, 0x09cd,
        0x09d7, 0x09d7,
        0x09e2, 0x09e3,
        0x0a01, 0x0a02,
        0x0a3c, 0x0a3c,
        0x0a41, 0x0a42,
        0x0a47, 0x0a48,
        0x0a4b, 0x0a4d,
        0x0a51, 0x0a51,
        0x0a70, 0x0a71,
        0x0a75, 0x0a75,
        0x0a81, 0x0a82,
        0x0abc, 0x0abc,
        0x0ac1, 0x0ac5,
        0x0ac7, 0x0ac8,
        0x0acd, 0x0acd,
        0x0ae2, 0x0ae3,
        0x0b01, 0x0b01,
        0x0b3c, 0x0b3c,
        0x0b3e, 0x0b3f,
        0x0b41, 0x0b44,
        0x0b4d, 0x0b4d,
        0x0b56, 0x0b57,
        0x0b62, 0x0b63,
        0x0b82, 0x0b82,
        0x0bbe, 0x0bbe,
        0x0bc0, 0x0bc0,
        0x0bcd, 0x0bcd,
        0x0bd7, 0x0bd7,
        0x0c3e, 0x0c40,
        0x0c46, 0x0c48,
        0x0c4a, 0x0c4d,
        0x0c55, 0x0c56,
        0x0c62, 0x0c63,
        0x0cbc, 0x0cbc,
        0x0cbf, 0x0cbf,
        0x0cc2, 0x0cc2,
        0x0cc6, 0x0cc6,
        0x0ccc, 0x0ccd,
        0x0cd5, 0x0cd6,
        0x0ce2, 0x0ce3,
        0x0d3e, 0x0d3e,
        0x0d41, 0x0d44,
        0x0d4d, 0x0d4d,
        0x0d57, 0x0d57,
        0x0d62, 0x0d63,
        0x0dca, 0x0dca,
        0x0dcf, 0x0dcf,
        0x0dd2, 0x0dd4,
        0x0dd6, 0x0dd6,
        0x0ddf, 0x0ddf,
        0x0e31, 0x0e31,
        0x0e34, 0x0e3a,
        0x0e47, 0x0e4e,
        0x0eb1, 0x0eb1,
        0x0eb4, 0x0eb9,
        0x0ebb, 0x0ebc,
        0x0ec8, 0x0ecd,
        0x0f18, 0x0f19,
        0x0f35, 0x0f35,
        0x0f37, 0x0f37,
        0x0f39, 0x0f39,
        0x0f71, 0x0f7e,
        0x0f80, 0x0f84,
        0x0f86, 0x0f87,
        0x0f8d, 0x0f97,
        0x0f99, 0x0fbc,
        0x0fc6, 0x0fc6,
        0x102d, 0x1030,
        0x1032, 0x1037,
        0x1039, 0x103a,
        0x103d, 0x103e,
        0x1058, 0x1059,
        0x105e, 0x1060,
        0x1071, 0x1074,
        0x1082, 0x1082,
        0x1085, 0x1086,
        0x108d, 0x108d,
        0x109d, 0x109d,
        0x135d, 0x135f,
        0x1712, 0x1714,
        0x1732, 0x1734,
        0x1752, 0x1753,
        0x1772, 0x1773,
        0x17b7, 0x17bd,
        0x17c6, 0x17c6,
        0x17c9, 0x17d3,
        0x17dd, 0x17dd,
        0x180b, 0x180d,
        0x18a9, 0x18a9,
        0x1920, 0x1922,
        0x1927, 0x1928,
        0x1932, 0x1932,
        0x1939, 0x193b,
        0x1a17, 0x1a18,
        0x1a56, 0x1a56,
        0x1a58, 0x1a5e,
        0x1a60, 0x1a60,
        0x1a62, 0x1a62,
        0x1a65, 0x1a6c,
        0x1a73, 0x1a7c,
        0x1a7f, 0x1a7f,
        0x1b00, 0x1b03,
        0x1b34, 0x1b34,
        0x1b36, 0x1b3a,
        0x1b3c, 0x1b3c,
        0x1b42, 0x1b42,
        0x1b6b, 0x1b73,
        0x1b80, 0x1b81,
        0x1ba2, 0x1ba5,
        0x1ba8, 0x1ba9,
        0x1be6, 0x1be6,
        0x1be8, 0x1be9,
        0x1bed, 0x1bed,
        0x1bef, 0x1bf1,
        0x1c2c, 0x1c33,
        0x1c36, 0x1c37,
        0x1cd0, 0x1cd2,
        0x1cd4, 0x1ce0,
        0x1ce2, 0x1ce8,
        0x1ced, 0x1ced,
        0x1dc0, 0x1de6,
        0x1dfc, 0x1dff,
        0x200c, 0x200d,
        0x20d0, 0x20f0,
        0x2cef, 0x2cf1,
        0x2d7f, 0x2d7f,
        0x2de0, 0x2dff,
        0x302a, 0x302f,
        0x3099, 0x309a,
        0xa66f, 0xa672,
        0xa67c, 0xa67d,
        0xa6f0, 0xa6f1,
        0xa802, 0xa802,
        0xa806, 0xa806,
        0xa80b, 0xa80b,
        0xa825, 0xa826,
        0xa8c4, 0xa8c4,
        0xa8e0, 0xa8f1,
        0xa926, 0xa92d,
        0xa947, 0xa951,
        0xa980, 0xa982,
        0xa9b3, 0xa9b3,
        0xa9b6, 0xa9b9,
        0xa9bc, 0xa9bc,
        0xaa29, 0xaa2e,
        0xaa31, 0xaa32,
        0xaa35, 0xaa36,
        0xaa43, 0xaa43,
        0xaa4c, 0xaa4c,
        0xaab0, 0xaab0,
        0xaab2, 0xaab4,
        0xaab7, 0xaab8,
        0xaabe, 0xaabf,
        0xaac1, 0xaac1,
        0xabe5, 0xabe5,
        0xabe8, 0xabe8,
        0xabed, 0xabed,
        0xfb1e, 0xfb1e,
        0xfe00, 0xfe0f,
        0xfe20, 0xfe26,
        0xff9e, 0xff9f,
        0x101fd, 0x101fd,
        0x10a01, 0x10a03,
        0x10a05, 0x10a06,
        0x10a0c, 0x10a0f,
        0x10a38, 0x10a3a,
        0x10a3f, 0x10a3f,
        0x11001, 0x11001,
        0x11038, 0x11046,
        0x11080, 0x11081,
        0x110b3, 0x110b6,
        0x110b9, 0x110ba,
        0x1d165, 0x1d165,
        0x1d167, 0x1d169,
        0x1d16e, 0x1d172,
        0x1d17b, 0x1d182,
        0x1d185, 0x1d18b,
        0x1d1aa, 0x1d1ad,
        0x1d242, 0x1d244,
        0xe0100, 0xe01ef,
    } : null; 

}