/*
 * Permission is hereby granted, free of charge, to any person obtaining a copy of 
 * this software and associated documentation files (the "Software"), to deal in 
 * the Software without restriction, including without limitation the rights to 
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE 
 * SOFTWARE.
 */
package org.jcodings.unicode;

import org.jcodings.Config;

public class CR_Lo {
    static final int Table[] = Config.USE_UNICODE_PROPERTIES ? new int[] {
        323,
        0x01bb, 0x01bb,
        0x01c0, 0x01c3,
        0x0294, 0x0294,
        0x05d0, 0x05ea,
        0x05f0, 0x05f2,
        0x0620, 0x063f,
        0x0641, 0x064a,
        0x066e, 0x066f,
        0x0671, 0x06d3,
        0x06d5, 0x06d5,
        0x06ee, 0x06ef,
        0x06fa, 0x06fc,
        0x06ff, 0x06ff,
        0x0710, 0x0710,
        0x0712, 0x072f,
        0x074d, 0x07a5,
        0x07b1, 0x07b1,
        0x07ca, 0x07ea,
        0x0800, 0x0815,
        0x0840, 0x0858,
        0x0904, 0x0939,
        0x093d, 0x093d,
        0x0950, 0x0950,
        0x0958, 0x0961,
        0x0972, 0x0977,
        0x0979, 0x097f,
        0x0985, 0x098c,
        0x098f, 0x0990,
        0x0993, 0x09a8,
        0x09aa, 0x09b0,
        0x09b2, 0x09b2,
        0x09b6, 0x09b9,
        0x09bd, 0x09bd,
        0x09ce, 0x09ce,
        0x09dc, 0x09dd,
        0x09df, 0x09e1,
        0x09f0, 0x09f1,
        0x0a05, 0x0a0a,
        0x0a0f, 0x0a10,
        0x0a13, 0x0a28,
        0x0a2a, 0x0a30,
        0x0a32, 0x0a33,
        0x0a35, 0x0a36,
        0x0a38, 0x0a39,
        0x0a59, 0x0a5c,
        0x0a5e, 0x0a5e,
        0x0a72, 0x0a74,
        0x0a85, 0x0a8d,
        0x0a8f, 0x0a91,
        0x0a93, 0x0aa8,
        0x0aaa, 0x0ab0,
        0x0ab2, 0x0ab3,
        0x0ab5, 0x0ab9,
        0x0abd, 0x0abd,
        0x0ad0, 0x0ad0,
        0x0ae0, 0x0ae1,
        0x0b05, 0x0b0c,
        0x0b0f, 0x0b10,
        0x0b13, 0x0b28,
        0x0b2a, 0x0b30,
        0x0b32, 0x0b33,
        0x0b35, 0x0b39,
        0x0b3d, 0x0b3d,
        0x0b5c, 0x0b5d,
        0x0b5f, 0x0b61,
        0x0b71, 0x0b71,
        0x0b83, 0x0b83,
        0x0b85, 0x0b8a,
        0x0b8e, 0x0b90,
        0x0b92, 0x0b95,
        0x0b99, 0x0b9a,
        0x0b9c, 0x0b9c,
        0x0b9e, 0x0b9f,
        0x0ba3, 0x0ba4,
        0x0ba8, 0x0baa,
        0x0bae, 0x0bb9,
        0x0bd0, 0x0bd0,
        0x0c05, 0x0c0c,
        0x0c0e, 0x0c10,
        0x0c12, 0x0c28,
        0x0c2a, 0x0c33,
        0x0c35, 0x0c39,
        0x0c3d, 0x0c3d,
        0x0c58, 0x0c59,
        0x0c60, 0x0c61,
        0x0c85, 0x0c8c,
        0x0c8e, 0x0c90,
        0x0c92, 0x0ca8,
        0x0caa, 0x0cb3,
        0x0cb5, 0x0cb9,
        0x0cbd, 0x0cbd,
        0x0cde, 0x0cde,
        0x0ce0, 0x0ce1,
        0x0cf1, 0x0cf2,
        0x0d05, 0x0d0c,
        0x0d0e, 0x0d10,
        0x0d12, 0x0d3a,
        0x0d3d, 0x0d3d,
        0x0d4e, 0x0d4e,
        0x0d60, 0x0d61,
        0x0d7a, 0x0d7f,
        0x0d85, 0x0d96,
        0x0d9a, 0x0db1,
        0x0db3, 0x0dbb,
        0x0dbd, 0x0dbd,
        0x0dc0, 0x0dc6,
        0x0e01, 0x0e30,
        0x0e32, 0x0e33,
        0x0e40, 0x0e45,
        0x0e81, 0x0e82,
        0x0e84, 0x0e84,
        0x0e87, 0x0e88,
        0x0e8a, 0x0e8a,
        0x0e8d, 0x0e8d,
        0x0e94, 0x0e97,
        0x0e99, 0x0e9f,
        0x0ea1, 0x0ea3,
        0x0ea5, 0x0ea5,
        0x0ea7, 0x0ea7,
        0x0eaa, 0x0eab,
        0x0ead, 0x0eb0,
        0x0eb2, 0x0eb3,
        0x0ebd, 0x0ebd,
        0x0ec0, 0x0ec4,
        0x0edc, 0x0edd,
        0x0f00, 0x0f00,
        0x0f40, 0x0f47,
        0x0f49, 0x0f6c,
        0x0f88, 0x0f8c,
        0x1000, 0x102a,
        0x103f, 0x103f,
        0x1050, 0x1055,
        0x105a, 0x105d,
        0x1061, 0x1061,
        0x1065, 0x1066,
        0x106e, 0x1070,
        0x1075, 0x1081,
        0x108e, 0x108e,
        0x10d0, 0x10fa,
        0x1100, 0x1248,
        0x124a, 0x124d,
        0x1250, 0x1256,
        0x1258, 0x1258,
        0x125a, 0x125d,
        0x1260, 0x1288,
        0x128a, 0x128d,
        0x1290, 0x12b0,
        0x12b2, 0x12b5,
        0x12b8, 0x12be,
        0x12c0, 0x12c0,
        0x12c2, 0x12c5,
        0x12c8, 0x12d6,
        0x12d8, 0x1310,
        0x1312, 0x1315,
        0x1318, 0x135a,
        0x1380, 0x138f,
        0x13a0, 0x13f4,
        0x1401, 0x166c,
        0x166f, 0x167f,
        0x1681, 0x169a,
        0x16a0, 0x16ea,
        0x1700, 0x170c,
        0x170e, 0x1711,
        0x1720, 0x1731,
        0x1740, 0x1751,
        0x1760, 0x176c,
        0x176e, 0x1770,
        0x1780, 0x17b3,
        0x17dc, 0x17dc,
        0x1820, 0x1842,
        0x1844, 0x1877,
        0x1880, 0x18a8,
        0x18aa, 0x18aa,
        0x18b0, 0x18f5,
        0x1900, 0x191c,
        0x1950, 0x196d,
        0x1970, 0x1974,
        0x1980, 0x19ab,
        0x19c1, 0x19c7,
        0x1a00, 0x1a16,
        0x1a20, 0x1a54,
        0x1b05, 0x1b33,
        0x1b45, 0x1b4b,
        0x1b83, 0x1ba0,
        0x1bae, 0x1baf,
        0x1bc0, 0x1be5,
        0x1c00, 0x1c23,
        0x1c4d, 0x1c4f,
        0x1c5a, 0x1c77,
        0x1ce9, 0x1cec,
        0x1cee, 0x1cf1,
        0x2135, 0x2138,
        0x2d30, 0x2d65,
        0x2d80, 0x2d96,
        0x2da0, 0x2da6,
        0x2da8, 0x2dae,
        0x2db0, 0x2db6,
        0x2db8, 0x2dbe,
        0x2dc0, 0x2dc6,
        0x2dc8, 0x2dce,
        0x2dd0, 0x2dd6,
        0x2dd8, 0x2dde,
        0x3006, 0x3006,
        0x303c, 0x303c,
        0x3041, 0x3096,
        0x309f, 0x309f,
        0x30a1, 0x30fa,
        0x30ff, 0x30ff,
        0x3105, 0x312d,
        0x3131, 0x318e,
        0x31a0, 0x31ba,
        0x31f0, 0x31ff,
        0x3400, 0x4db5,
        0x4e00, 0x9fcb,
        0xa000, 0xa014,
        0xa016, 0xa48c,
        0xa4d0, 0xa4f7,
        0xa500, 0xa60b,
        0xa610, 0xa61f,
        0xa62a, 0xa62b,
        0xa66e, 0xa66e,
        0xa6a0, 0xa6e5,
        0xa7fb, 0xa801,
        0xa803, 0xa805,
        0xa807, 0xa80a,
        0xa80c, 0xa822,
        0xa840, 0xa873,
        0xa882, 0xa8b3,
        0xa8f2, 0xa8f7,
        0xa8fb, 0xa8fb,
        0xa90a, 0xa925,
        0xa930, 0xa946,
        0xa960, 0xa97c,
        0xa984, 0xa9b2,
        0xaa00, 0xaa28,
        0xaa40, 0xaa42,
        0xaa44, 0xaa4b,
        0xaa60, 0xaa6f,
        0xaa71, 0xaa76,
        0xaa7a, 0xaa7a,
        0xaa80, 0xaaaf,
        0xaab1, 0xaab1,
        0xaab5, 0xaab6,
        0xaab9, 0xaabd,
        0xaac0, 0xaac0,
        0xaac2, 0xaac2,
        0xaadb, 0xaadc,
        0xab01, 0xab06,
        0xab09, 0xab0e,
        0xab11, 0xab16,
        0xab20, 0xab26,
        0xab28, 0xab2e,
        0xabc0, 0xabe2,
        0xac00, 0xd7a3,
        0xd7b0, 0xd7c6,
        0xd7cb, 0xd7fb,
        0xf900, 0xfa2d,
        0xfa30, 0xfa6d,
        0xfa70, 0xfad9,
        0xfb1d, 0xfb1d,
        0xfb1f, 0xfb28,
        0xfb2a, 0xfb36,
        0xfb38, 0xfb3c,
        0xfb3e, 0xfb3e,
        0xfb40, 0xfb41,
        0xfb43, 0xfb44,
        0xfb46, 0xfbb1,
        0xfbd3, 0xfd3d,
        0xfd50, 0xfd8f,
        0xfd92, 0xfdc7,
        0xfdf0, 0xfdfb,
        0xfe70, 0xfe74,
        0xfe76, 0xfefc,
        0xff66, 0xff6f,
        0xff71, 0xff9d,
        0xffa0, 0xffbe,
        0xffc2, 0xffc7,
        0xffca, 0xffcf,
        0xffd2, 0xffd7,
        0xffda, 0xffdc,
        0x10000, 0x1000b,
        0x1000d, 0x10026,
        0x10028, 0x1003a,
        0x1003c, 0x1003d,
        0x1003f, 0x1004d,
        0x10050, 0x1005d,
        0x10080, 0x100fa,
        0x10280, 0x1029c,
        0x102a0, 0x102d0,
        0x10300, 0x1031e,
        0x10330, 0x10340,
        0x10342, 0x10349,
        0x10380, 0x1039d,
        0x103a0, 0x103c3,
        0x103c8, 0x103cf,
        0x10450, 0x1049d,
        0x10800, 0x10805,
        0x10808, 0x10808,
        0x1080a, 0x10835,
        0x10837, 0x10838,
        0x1083c, 0x1083c,
        0x1083f, 0x10855,
        0x10900, 0x10915,
        0x10920, 0x10939,
        0x10a00, 0x10a00,
        0x10a10, 0x10a13,
        0x10a15, 0x10a17,
        0x10a19, 0x10a33,
        0x10a60, 0x10a7c,
        0x10b00, 0x10b35,
        0x10b40, 0x10b55,
        0x10b60, 0x10b72,
        0x10c00, 0x10c48,
        0x11003, 0x11037,
        0x11083, 0x110af,
        0x12000, 0x1236e,
        0x13000, 0x1342e,
        0x16800, 0x16a38,
        0x1b000, 0x1b001,
        0x20000, 0x2a6d6,
        0x2a700, 0x2b734,
        0x2b740, 0x2b81d,
        0x2f800, 0x2fa1d,
    } : null; 

}