/*
 * Permission is hereby granted, free of charge, to any person obtaining a copy of 
 * this software and associated documentation files (the "Software"), to deal in 
 * the Software without restriction, including without limitation the rights to 
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE 
 * SOFTWARE.
 */
package org.jcodings.unicode;

import org.jcodings.Config;

public class CR_Po {
    static final int Table[] = Config.USE_UNICODE_PROPERTIES ? new int[] {
        128,
        0x0021, 0x0023,
        0x0025, 0x0027,
        0x002a, 0x002a,
        0x002c, 0x002c,
        0x002e, 0x002f,
        0x003a, 0x003b,
        0x003f, 0x0040,
        0x005c, 0x005c,
        0x00a1, 0x00a1,
        0x00b7, 0x00b7,
        0x00bf, 0x00bf,
        0x037e, 0x037e,
        0x0387, 0x0387,
        0x055a, 0x055f,
        0x0589, 0x0589,
        0x05c0, 0x05c0,
        0x05c3, 0x05c3,
        0x05c6, 0x05c6,
        0x05f3, 0x05f4,
        0x0609, 0x060a,
        0x060c, 0x060d,
        0x061b, 0x061b,
        0x061e, 0x061f,
        0x066a, 0x066d,
        0x06d4, 0x06d4,
        0x0700, 0x070d,
        0x07f7, 0x07f9,
        0x0830, 0x083e,
        0x085e, 0x085e,
        0x0964, 0x0965,
        0x0970, 0x0970,
        0x0df4, 0x0df4,
        0x0e4f, 0x0e4f,
        0x0e5a, 0x0e5b,
        0x0f04, 0x0f12,
        0x0f85, 0x0f85,
        0x0fd0, 0x0fd4,
        0x0fd9, 0x0fda,
        0x104a, 0x104f,
        0x10fb, 0x10fb,
        0x1361, 0x1368,
        0x166d, 0x166e,
        0x16eb, 0x16ed,
        0x1735, 0x1736,
        0x17d4, 0x17d6,
        0x17d8, 0x17da,
        0x1800, 0x1805,
        0x1807, 0x180a,
        0x1944, 0x1945,
        0x1a1e, 0x1a1f,
        0x1aa0, 0x1aa6,
        0x1aa8, 0x1aad,
        0x1b5a, 0x1b60,
        0x1bfc, 0x1bff,
        0x1c3b, 0x1c3f,
        0x1c7e, 0x1c7f,
        0x1cd3, 0x1cd3,
        0x2016, 0x2017,
        0x2020, 0x2027,
        0x2030, 0x2038,
        0x203b, 0x203e,
        0x2041, 0x2043,
        0x2047, 0x2051,
        0x2053, 0x2053,
        0x2055, 0x205e,
        0x2cf9, 0x2cfc,
        0x2cfe, 0x2cff,
        0x2d70, 0x2d70,
        0x2e00, 0x2e01,
        0x2e06, 0x2e08,
        0x2e0b, 0x2e0b,
        0x2e0e, 0x2e16,
        0x2e18, 0x2e19,
        0x2e1b, 0x2e1b,
        0x2e1e, 0x2e1f,
        0x2e2a, 0x2e2e,
        0x2e30, 0x2e31,
        0x3001, 0x3003,
        0x303d, 0x303d,
        0x30fb, 0x30fb,
        0xa4fe, 0xa4ff,
        0xa60d, 0xa60f,
        0xa673, 0xa673,
        0xa67e, 0xa67e,
        0xa6f2, 0xa6f7,
        0xa874, 0xa877,
        0xa8ce, 0xa8cf,
        0xa8f8, 0xa8fa,
        0xa92e, 0xa92f,
        0xa95f, 0xa95f,
        0xa9c1, 0xa9cd,
        0xa9de, 0xa9df,
        0xaa5c, 0xaa5f,
        0xaade, 0xaadf,
        0xabeb, 0xabeb,
        0xfe10, 0xfe16,
        0xfe19, 0xfe19,
        0xfe30, 0xfe30,
        0xfe45, 0xfe46,
        0xfe49, 0xfe4c,
        0xfe50, 0xfe52,
        0xfe54, 0xfe57,
        0xfe5f, 0xfe61,
        0xfe68, 0xfe68,
        0xfe6a, 0xfe6b,
        0xff01, 0xff03,
        0xff05, 0xff07,
        0xff0a, 0xff0a,
        0xff0c, 0xff0c,
        0xff0e, 0xff0f,
        0xff1a, 0xff1b,
        0xff1f, 0xff20,
        0xff3c, 0xff3c,
        0xff61, 0xff61,
        0xff64, 0xff65,
        0x10100, 0x10101,
        0x1039f, 0x1039f,
        0x103d0, 0x103d0,
        0x10857, 0x10857,
        0x1091f, 0x1091f,
        0x1093f, 0x1093f,
        0x10a50, 0x10a58,
        0x10a7f, 0x10a7f,
        0x10b39, 0x10b3f,
        0x11047, 0x1104d,
        0x110bb, 0x110bc,
        0x110be, 0x110c1,
        0x12470, 0x12473,
    } : null; 

}