/*
 * Permission is hereby granted, free of charge, to any person obtaining a copy of 
 * this software and associated documentation files (the "Software"), to deal in 
 * the Software without restriction, including without limitation the rights to 
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE 
 * SOFTWARE.
 */
package org.jcodings.unicode;

import org.jcodings.Config;

public class CR_Unknown {
    static final int Table[] = Config.USE_UNICODE_PROPERTIES ? new int[] {
        499,
        0x0378, 0x0379,
        0x037f, 0x0383,
        0x038b, 0x038b,
        0x038d, 0x038d,
        0x03a2, 0x03a2,
        0x0528, 0x0530,
        0x0557, 0x0558,
        0x0560, 0x0560,
        0x0588, 0x0588,
        0x058b, 0x0590,
        0x05c8, 0x05cf,
        0x05eb, 0x05ef,
        0x05f5, 0x05ff,
        0x0604, 0x0605,
        0x061c, 0x061d,
        0x070e, 0x070e,
        0x074b, 0x074c,
        0x07b2, 0x07bf,
        0x07fb, 0x07ff,
        0x082e, 0x082f,
        0x083f, 0x083f,
        0x085c, 0x085d,
        0x085f, 0x08ff,
        0x0978, 0x0978,
        0x0980, 0x0980,
        0x0984, 0x0984,
        0x098d, 0x098e,
        0x0991, 0x0992,
        0x09a9, 0x09a9,
        0x09b1, 0x09b1,
        0x09b3, 0x09b5,
        0x09ba, 0x09bb,
        0x09c5, 0x09c6,
        0x09c9, 0x09ca,
        0x09cf, 0x09d6,
        0x09d8, 0x09db,
        0x09de, 0x09de,
        0x09e4, 0x09e5,
        0x09fc, 0x0a00,
        0x0a04, 0x0a04,
        0x0a0b, 0x0a0e,
        0x0a11, 0x0a12,
        0x0a29, 0x0a29,
        0x0a31, 0x0a31,
        0x0a34, 0x0a34,
        0x0a37, 0x0a37,
        0x0a3a, 0x0a3b,
        0x0a3d, 0x0a3d,
        0x0a43, 0x0a46,
        0x0a49, 0x0a4a,
        0x0a4e, 0x0a50,
        0x0a52, 0x0a58,
        0x0a5d, 0x0a5d,
        0x0a5f, 0x0a65,
        0x0a76, 0x0a80,
        0x0a84, 0x0a84,
        0x0a8e, 0x0a8e,
        0x0a92, 0x0a92,
        0x0aa9, 0x0aa9,
        0x0ab1, 0x0ab1,
        0x0ab4, 0x0ab4,
        0x0aba, 0x0abb,
        0x0ac6, 0x0ac6,
        0x0aca, 0x0aca,
        0x0ace, 0x0acf,
        0x0ad1, 0x0adf,
        0x0ae4, 0x0ae5,
        0x0af0, 0x0af0,
        0x0af2, 0x0b00,
        0x0b04, 0x0b04,
        0x0b0d, 0x0b0e,
        0x0b11, 0x0b12,
        0x0b29, 0x0b29,
        0x0b31, 0x0b31,
        0x0b34, 0x0b34,
        0x0b3a, 0x0b3b,
        0x0b45, 0x0b46,
        0x0b49, 0x0b4a,
        0x0b4e, 0x0b55,
        0x0b58, 0x0b5b,
        0x0b5e, 0x0b5e,
        0x0b64, 0x0b65,
        0x0b78, 0x0b81,
        0x0b84, 0x0b84,
        0x0b8b, 0x0b8d,
        0x0b91, 0x0b91,
        0x0b96, 0x0b98,
        0x0b9b, 0x0b9b,
        0x0b9d, 0x0b9d,
        0x0ba0, 0x0ba2,
        0x0ba5, 0x0ba7,
        0x0bab, 0x0bad,
        0x0bba, 0x0bbd,
        0x0bc3, 0x0bc5,
        0x0bc9, 0x0bc9,
        0x0bce, 0x0bcf,
        0x0bd1, 0x0bd6,
        0x0bd8, 0x0be5,
        0x0bfb, 0x0c00,
        0x0c04, 0x0c04,
        0x0c0d, 0x0c0d,
        0x0c11, 0x0c11,
        0x0c29, 0x0c29,
        0x0c34, 0x0c34,
        0x0c3a, 0x0c3c,
        0x0c45, 0x0c45,
        0x0c49, 0x0c49,
        0x0c4e, 0x0c54,
        0x0c57, 0x0c57,
        0x0c5a, 0x0c5f,
        0x0c64, 0x0c65,
        0x0c70, 0x0c77,
        0x0c80, 0x0c81,
        0x0c84, 0x0c84,
        0x0c8d, 0x0c8d,
        0x0c91, 0x0c91,
        0x0ca9, 0x0ca9,
        0x0cb4, 0x0cb4,
        0x0cba, 0x0cbb,
        0x0cc5, 0x0cc5,
        0x0cc9, 0x0cc9,
        0x0cce, 0x0cd4,
        0x0cd7, 0x0cdd,
        0x0cdf, 0x0cdf,
        0x0ce4, 0x0ce5,
        0x0cf0, 0x0cf0,
        0x0cf3, 0x0d01,
        0x0d04, 0x0d04,
        0x0d0d, 0x0d0d,
        0x0d11, 0x0d11,
        0x0d3b, 0x0d3c,
        0x0d45, 0x0d45,
        0x0d49, 0x0d49,
        0x0d4f, 0x0d56,
        0x0d58, 0x0d5f,
        0x0d64, 0x0d65,
        0x0d76, 0x0d78,
        0x0d80, 0x0d81,
        0x0d84, 0x0d84,
        0x0d97, 0x0d99,
        0x0db2, 0x0db2,
        0x0dbc, 0x0dbc,
        0x0dbe, 0x0dbf,
        0x0dc7, 0x0dc9,
        0x0dcb, 0x0dce,
        0x0dd5, 0x0dd5,
        0x0dd7, 0x0dd7,
        0x0de0, 0x0df1,
        0x0df5, 0x0e00,
        0x0e3b, 0x0e3e,
        0x0e5c, 0x0e80,
        0x0e83, 0x0e83,
        0x0e85, 0x0e86,
        0x0e89, 0x0e89,
        0x0e8b, 0x0e8c,
        0x0e8e, 0x0e93,
        0x0e98, 0x0e98,
        0x0ea0, 0x0ea0,
        0x0ea4, 0x0ea4,
        0x0ea6, 0x0ea6,
        0x0ea8, 0x0ea9,
        0x0eac, 0x0eac,
        0x0eba, 0x0eba,
        0x0ebe, 0x0ebf,
        0x0ec5, 0x0ec5,
        0x0ec7, 0x0ec7,
        0x0ece, 0x0ecf,
        0x0eda, 0x0edb,
        0x0ede, 0x0eff,
        0x0f48, 0x0f48,
        0x0f6d, 0x0f70,
        0x0f98, 0x0f98,
        0x0fbd, 0x0fbd,
        0x0fcd, 0x0fcd,
        0x0fdb, 0x0fff,
        0x10c6, 0x10cf,
        0x10fd, 0x10ff,
        0x1249, 0x1249,
        0x124e, 0x124f,
        0x1257, 0x1257,
        0x1259, 0x1259,
        0x125e, 0x125f,
        0x1289, 0x1289,
        0x128e, 0x128f,
        0x12b1, 0x12b1,
        0x12b6, 0x12b7,
        0x12bf, 0x12bf,
        0x12c1, 0x12c1,
        0x12c6, 0x12c7,
        0x12d7, 0x12d7,
        0x1311, 0x1311,
        0x1316, 0x1317,
        0x135b, 0x135c,
        0x137d, 0x137f,
        0x139a, 0x139f,
        0x13f5, 0x13ff,
        0x169d, 0x169f,
        0x16f1, 0x16ff,
        0x170d, 0x170d,
        0x1715, 0x171f,
        0x1737, 0x173f,
        0x1754, 0x175f,
        0x176d, 0x176d,
        0x1771, 0x1771,
        0x1774, 0x177f,
        0x17de, 0x17df,
        0x17ea, 0x17ef,
        0x17fa, 0x17ff,
        0x180f, 0x180f,
        0x181a, 0x181f,
        0x1878, 0x187f,
        0x18ab, 0x18af,
        0x18f6, 0x18ff,
        0x191d, 0x191f,
        0x192c, 0x192f,
        0x193c, 0x193f,
        0x1941, 0x1943,
        0x196e, 0x196f,
        0x1975, 0x197f,
        0x19ac, 0x19af,
        0x19ca, 0x19cf,
        0x19db, 0x19dd,
        0x1a1c, 0x1a1d,
        0x1a5f, 0x1a5f,
        0x1a7d, 0x1a7e,
        0x1a8a, 0x1a8f,
        0x1a9a, 0x1a9f,
        0x1aae, 0x1aff,
        0x1b4c, 0x1b4f,
        0x1b7d, 0x1b7f,
        0x1bab, 0x1bad,
        0x1bba, 0x1bbf,
        0x1bf4, 0x1bfb,
        0x1c38, 0x1c3a,
        0x1c4a, 0x1c4c,
        0x1c80, 0x1ccf,
        0x1cf3, 0x1cff,
        0x1de7, 0x1dfb,
        0x1f16, 0x1f17,
        0x1f1e, 0x1f1f,
        0x1f46, 0x1f47,
        0x1f4e, 0x1f4f,
        0x1f58, 0x1f58,
        0x1f5a, 0x1f5a,
        0x1f5c, 0x1f5c,
        0x1f5e, 0x1f5e,
        0x1f7e, 0x1f7f,
        0x1fb5, 0x1fb5,
        0x1fc5, 0x1fc5,
        0x1fd4, 0x1fd5,
        0x1fdc, 0x1fdc,
        0x1ff0, 0x1ff1,
        0x1ff5, 0x1ff5,
        0x1fff, 0x1fff,
        0x2065, 0x2069,
        0x2072, 0x2073,
        0x208f, 0x208f,
        0x209d, 0x209f,
        0x20ba, 0x20cf,
        0x20f1, 0x20ff,
        0x218a, 0x218f,
        0x23f4, 0x23ff,
        0x2427, 0x243f,
        0x244b, 0x245f,
        0x2700, 0x2700,
        0x27cb, 0x27cb,
        0x27cd, 0x27cd,
        0x2b4d, 0x2b4f,
        0x2b5a, 0x2bff,
        0x2c2f, 0x2c2f,
        0x2c5f, 0x2c5f,
        0x2cf2, 0x2cf8,
        0x2d26, 0x2d2f,
        0x2d66, 0x2d6e,
        0x2d71, 0x2d7e,
        0x2d97, 0x2d9f,
        0x2da7, 0x2da7,
        0x2daf, 0x2daf,
        0x2db7, 0x2db7,
        0x2dbf, 0x2dbf,
        0x2dc7, 0x2dc7,
        0x2dcf, 0x2dcf,
        0x2dd7, 0x2dd7,
        0x2ddf, 0x2ddf,
        0x2e32, 0x2e7f,
        0x2e9a, 0x2e9a,
        0x2ef4, 0x2eff,
        0x2fd6, 0x2fef,
        0x2ffc, 0x2fff,
        0x3040, 0x3040,
        0x3097, 0x3098,
        0x3100, 0x3104,
        0x312e, 0x3130,
        0x318f, 0x318f,
        0x31bb, 0x31bf,
        0x31e4, 0x31ef,
        0x321f, 0x321f,
        0x32ff, 0x32ff,
        0x4db6, 0x4dbf,
        0x9fcc, 0x9fff,
        0xa48d, 0xa48f,
        0xa4c7, 0xa4cf,
        0xa62c, 0xa63f,
        0xa674, 0xa67b,
        0xa698, 0xa69f,
        0xa6f8, 0xa6ff,
        0xa78f, 0xa78f,
        0xa792, 0xa79f,
        0xa7aa, 0xa7f9,
        0xa82c, 0xa82f,
        0xa83a, 0xa83f,
        0xa878, 0xa87f,
        0xa8c5, 0xa8cd,
        0xa8da, 0xa8df,
        0xa8fc, 0xa8ff,
        0xa954, 0xa95e,
        0xa97d, 0xa97f,
        0xa9ce, 0xa9ce,
        0xa9da, 0xa9dd,
        0xa9e0, 0xa9ff,
        0xaa37, 0xaa3f,
        0xaa4e, 0xaa4f,
        0xaa5a, 0xaa5b,
        0xaa7c, 0xaa7f,
        0xaac3, 0xaada,
        0xaae0, 0xab00,
        0xab07, 0xab08,
        0xab0f, 0xab10,
        0xab17, 0xab1f,
        0xab27, 0xab27,
        0xab2f, 0xabbf,
        0xabee, 0xabef,
        0xabfa, 0xabff,
        0xd7a4, 0xd7af,
        0xd7c7, 0xd7ca,
        0xd7fc, 0xf8ff,
        0xfa2e, 0xfa2f,
        0xfa6e, 0xfa6f,
        0xfada, 0xfaff,
        0xfb07, 0xfb12,
        0xfb18, 0xfb1c,
        0xfb37, 0xfb37,
        0xfb3d, 0xfb3d,
        0xfb3f, 0xfb3f,
        0xfb42, 0xfb42,
        0xfb45, 0xfb45,
        0xfbc2, 0xfbd2,
        0xfd40, 0xfd4f,
        0xfd90, 0xfd91,
        0xfdc8, 0xfdef,
        0xfdfe, 0xfdff,
        0xfe1a, 0xfe1f,
        0xfe27, 0xfe2f,
        0xfe53, 0xfe53,
        0xfe67, 0xfe67,
        0xfe6c, 0xfe6f,
        0xfe75, 0xfe75,
        0xfefd, 0xfefe,
        0xff00, 0xff00,
        0xffbf, 0xffc1,
        0xffc8, 0xffc9,
        0xffd0, 0xffd1,
        0xffd8, 0xffd9,
        0xffdd, 0xffdf,
        0xffe7, 0xffe7,
        0xffef, 0xfff8,
        0xfffe, 0xffff,
        0x1000c, 0x1000c,
        0x10027, 0x10027,
        0x1003b, 0x1003b,
        0x1003e, 0x1003e,
        0x1004e, 0x1004f,
        0x1005e, 0x1007f,
        0x100fb, 0x100ff,
        0x10103, 0x10106,
        0x10134, 0x10136,
        0x1018b, 0x1018f,
        0x1019c, 0x101cf,
        0x101fe, 0x1027f,
        0x1029d, 0x1029f,
        0x102d1, 0x102ff,
        0x1031f, 0x1031f,
        0x10324, 0x1032f,
        0x1034b, 0x1037f,
        0x1039e, 0x1039e,
        0x103c4, 0x103c7,
        0x103d6, 0x103ff,
        0x1049e, 0x1049f,
        0x104aa, 0x107ff,
        0x10806, 0x10807,
        0x10809, 0x10809,
        0x10836, 0x10836,
        0x10839, 0x1083b,
        0x1083d, 0x1083e,
        0x10856, 0x10856,
        0x10860, 0x108ff,
        0x1091c, 0x1091e,
        0x1093a, 0x1093e,
        0x10940, 0x109ff,
        0x10a04, 0x10a04,
        0x10a07, 0x10a0b,
        0x10a14, 0x10a14,
        0x10a18, 0x10a18,
        0x10a34, 0x10a37,
        0x10a3b, 0x10a3e,
        0x10a48, 0x10a4f,
        0x10a59, 0x10a5f,
        0x10a80, 0x10aff,
        0x10b36, 0x10b38,
        0x10b56, 0x10b57,
        0x10b73, 0x10b77,
        0x10b80, 0x10bff,
        0x10c49, 0x10e5f,
        0x10e7f, 0x10fff,
        0x1104e, 0x11051,
        0x11070, 0x1107f,
        0x110c2, 0x11fff,
        0x1236f, 0x123ff,
        0x12463, 0x1246f,
        0x12474, 0x12fff,
        0x1342f, 0x167ff,
        0x16a39, 0x1afff,
        0x1b002, 0x1cfff,
        0x1d0f6, 0x1d0ff,
        0x1d127, 0x1d128,
        0x1d1de, 0x1d1ff,
        0x1d246, 0x1d2ff,
        0x1d357, 0x1d35f,
        0x1d372, 0x1d3ff,
        0x1d455, 0x1d455,
        0x1d49d, 0x1d49d,
        0x1d4a0, 0x1d4a1,
        0x1d4a3, 0x1d4a4,
        0x1d4a7, 0x1d4a8,
        0x1d4ad, 0x1d4ad,
        0x1d4ba, 0x1d4ba,
        0x1d4bc, 0x1d4bc,
        0x1d4c4, 0x1d4c4,
        0x1d506, 0x1d506,
        0x1d50b, 0x1d50c,
        0x1d515, 0x1d515,
        0x1d51d, 0x1d51d,
        0x1d53a, 0x1d53a,
        0x1d53f, 0x1d53f,
        0x1d545, 0x1d545,
        0x1d547, 0x1d549,
        0x1d551, 0x1d551,
        0x1d6a6, 0x1d6a7,
        0x1d7cc, 0x1d7cd,
        0x1d800, 0x1efff,
        0x1f02c, 0x1f02f,
        0x1f094, 0x1f09f,
        0x1f0af, 0x1f0b0,
        0x1f0bf, 0x1f0c0,
        0x1f0d0, 0x1f0d0,
        0x1f0e0, 0x1f0ff,
        0x1f10b, 0x1f10f,
        0x1f12f, 0x1f12f,
        0x1f16a, 0x1f16f,
        0x1f19b, 0x1f1e5,
        0x1f203, 0x1f20f,
        0x1f23b, 0x1f23f,
        0x1f249, 0x1f24f,
        0x1f252, 0x1f2ff,
        0x1f321, 0x1f32f,
        0x1f336, 0x1f336,
        0x1f37d, 0x1f37f,
        0x1f394, 0x1f39f,
        0x1f3c5, 0x1f3c5,
        0x1f3cb, 0x1f3df,
        0x1f3f1, 0x1f3ff,
        0x1f43f, 0x1f43f,
        0x1f441, 0x1f441,
        0x1f4f8, 0x1f4f8,
        0x1f4fd, 0x1f4ff,
        0x1f53e, 0x1f54f,
        0x1f568, 0x1f5fa,
        0x1f600, 0x1f600,
        0x1f611, 0x1f611,
        0x1f615, 0x1f615,
        0x1f617, 0x1f617,
        0x1f619, 0x1f619,
        0x1f61b, 0x1f61b,
        0x1f61f, 0x1f61f,
        0x1f626, 0x1f627,
        0x1f62c, 0x1f62c,
        0x1f62e, 0x1f62f,
        0x1f634, 0x1f634,
        0x1f641, 0x1f644,
        0x1f650, 0x1f67f,
        0x1f6c6, 0x1f6ff,
        0x1f774, 0x1ffff,
        0x2a6d7, 0x2a6ff,
        0x2b735, 0x2b73f,
        0x2b81e, 0x2f7ff,
        0x2fa1e, 0xe0000,
        0xe0002, 0xe001f,
        0xe0080, 0xe00ff,
        0xe01f0, 0x10ffff,
    } : null; 

}